﻿using Dalamud.Plugin;

namespace TextBoxStyler {
    // ReSharper disable once ClassNeverInstantiated.Global
    public class Plugin : IDalamudPlugin {
        public string Name => "Text Box Styler";

        internal DalamudPluginInterface Interface { get; private set; } = null!;
        internal PluginConfiguration Config { get; private set; } = null!;
        internal PluginUi Ui { get; private set; } = null!;
        private Styler Styler { get; set; } = null!;
        private Commands Commands { get; set; } = null!;

        public void Initialize(DalamudPluginInterface pluginInterface) {
            this.Interface = pluginInterface;

            this.Config = this.Interface.GetPluginConfig() as PluginConfiguration ?? new PluginConfiguration();
            this.Config.Initialise(this);

            this.Styler = new Styler(this);
            this.Ui = new PluginUi(this);
            this.Commands = new Commands(this);
        }

        public void Dispose() {
            this.Commands.Dispose();
            this.Ui.Dispose();
            this.Styler.Dispose();
        }
    }
}
